<<

# Bugzilla::Whine::Schedule

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Constructors
  - Accessors

# NAME

Bugzilla::Whine::Schedule - A schedule object used by Bugzilla::Whine.

# SYNOPSIS

     use Bugzilla::Whine::Schedule;

     my $schedule = new Bugzilla::Whine::Schedule($schedule_id);

     my $event_id    = $schedule->eventid;
     my $run_day     = $schedule->run_day;
     my $run_time    = $schedule->run_time;
     my $is_group    = $schedule->mailto_is_group;
     my $object      = $schedule->mailto;
     my $array_ref   = $schedule->mailto_users;

# DESCRIPTION

This module exists to represent a Bugzilla::Whine event schedule.

This is an implementation of Bugzilla::Object, and so has all the same methods available as Bugzilla::Object, in addition to what is documented below.

# METHODS

## Constructors

`new`

  Does not accept a bare `name` argument. Instead, accepts only an id.

  See also: "new" in Bugzilla::Object.

## Accessors

These return data about the object, without modifying the object.

`event_id`

  The Bugzilla::Whine event object id for this object.

`run_day`

  The day or day pattern that a Bugzilla::Whine event is scheduled to run.

`run_time`

  The time or time pattern that a Bugzilla::Whine event is scheduled to run.

`mailto_is_group`

  Returns a numeric 1 (`group`) or 0 (`user`) to represent whether "mailto" is a group or user.

`mailto`

  This is either a Bugzilla::User or Bugzilla::Group object to represent the user or group this scheduled event is set to be mailed to.

`mailto_users`

  Returns an array reference of Bugzilla::Users. This is derived from the Bugzilla::Group stored in "mailto" if "mailto_is_group" is true and the group is still active, otherwise it will contain a single array element for the Bugzilla::User in "mailto".

<<